// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             v3.21.9
// source: com/ruijc/storage/protocol/file.proto

package protocol

import (
	context "context"
	file "gitlab.com/ruijc/storage/core/file"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	File_Initiate_FullMethodName = "/com.ruijc.storage.protocol.File/Initiate"
	File_Get_FullMethodName      = "/com.ruijc.storage.protocol.File/Get"
	File_Abort_FullMethodName    = "/com.ruijc.storage.protocol.File/Abort"
	File_Complete_FullMethodName = "/com.ruijc.storage.protocol.File/Complete"
	File_Use_FullMethodName      = "/com.ruijc.storage.protocol.File/Use"
	File_Release_FullMethodName  = "/com.ruijc.storage.protocol.File/Release"
	File_Url_FullMethodName      = "/com.ruijc.storage.protocol.File/Url"
	File_Urls_FullMethodName     = "/com.ruijc.storage.protocol.File/Urls"
	File_Delete_FullMethodName   = "/com.ruijc.storage.protocol.File/Delete"
)

// FileClient is the client API for File service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type FileClient interface {
	// 初始化
	Initiate(ctx context.Context, in *file.InitiateReq, opts ...grpc.CallOption) (*file.InitiateRsp, error)
	// 获取
	Get(ctx context.Context, in *file.GetReq, opts ...grpc.CallOption) (*file.GetRsp, error)
	// 取消
	Abort(ctx context.Context, in *file.AbortReq, opts ...grpc.CallOption) (*file.AbortRsp, error)
	// 完成
	Complete(ctx context.Context, in *file.CompleteReq, opts ...grpc.CallOption) (*file.CompleteRsp, error)
	// 使用
	Use(ctx context.Context, in *file.UseReq, opts ...grpc.CallOption) (*file.UseRsp, error)
	// 释放
	Release(ctx context.Context, in *file.ReleaseReq, opts ...grpc.CallOption) (*file.ReleaseRsp, error)
	// 地址
	Url(ctx context.Context, in *file.UrlReq, opts ...grpc.CallOption) (*file.UrlRsp, error)
	// 多地址
	Urls(ctx context.Context, in *file.UrlsReq, opts ...grpc.CallOption) (*file.UrlsRsp, error)
	// 删除
	Delete(ctx context.Context, in *file.DeleteReq, opts ...grpc.CallOption) (*file.DeleteRsp, error)
}

type fileClient struct {
	cc grpc.ClientConnInterface
}

func NewFileClient(cc grpc.ClientConnInterface) FileClient {
	return &fileClient{cc}
}

func (c *fileClient) Initiate(ctx context.Context, in *file.InitiateReq, opts ...grpc.CallOption) (*file.InitiateRsp, error) {
	out := new(file.InitiateRsp)
	err := c.cc.Invoke(ctx, File_Initiate_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Get(ctx context.Context, in *file.GetReq, opts ...grpc.CallOption) (*file.GetRsp, error) {
	out := new(file.GetRsp)
	err := c.cc.Invoke(ctx, File_Get_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Abort(ctx context.Context, in *file.AbortReq, opts ...grpc.CallOption) (*file.AbortRsp, error) {
	out := new(file.AbortRsp)
	err := c.cc.Invoke(ctx, File_Abort_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Complete(ctx context.Context, in *file.CompleteReq, opts ...grpc.CallOption) (*file.CompleteRsp, error) {
	out := new(file.CompleteRsp)
	err := c.cc.Invoke(ctx, File_Complete_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Use(ctx context.Context, in *file.UseReq, opts ...grpc.CallOption) (*file.UseRsp, error) {
	out := new(file.UseRsp)
	err := c.cc.Invoke(ctx, File_Use_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Release(ctx context.Context, in *file.ReleaseReq, opts ...grpc.CallOption) (*file.ReleaseRsp, error) {
	out := new(file.ReleaseRsp)
	err := c.cc.Invoke(ctx, File_Release_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Url(ctx context.Context, in *file.UrlReq, opts ...grpc.CallOption) (*file.UrlRsp, error) {
	out := new(file.UrlRsp)
	err := c.cc.Invoke(ctx, File_Url_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Urls(ctx context.Context, in *file.UrlsReq, opts ...grpc.CallOption) (*file.UrlsRsp, error) {
	out := new(file.UrlsRsp)
	err := c.cc.Invoke(ctx, File_Urls_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fileClient) Delete(ctx context.Context, in *file.DeleteReq, opts ...grpc.CallOption) (*file.DeleteRsp, error) {
	out := new(file.DeleteRsp)
	err := c.cc.Invoke(ctx, File_Delete_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// FileServer is the server API for File service.
// All implementations must embed UnimplementedFileServer
// for forward compatibility
type FileServer interface {
	// 初始化
	Initiate(context.Context, *file.InitiateReq) (*file.InitiateRsp, error)
	// 获取
	Get(context.Context, *file.GetReq) (*file.GetRsp, error)
	// 取消
	Abort(context.Context, *file.AbortReq) (*file.AbortRsp, error)
	// 完成
	Complete(context.Context, *file.CompleteReq) (*file.CompleteRsp, error)
	// 使用
	Use(context.Context, *file.UseReq) (*file.UseRsp, error)
	// 释放
	Release(context.Context, *file.ReleaseReq) (*file.ReleaseRsp, error)
	// 地址
	Url(context.Context, *file.UrlReq) (*file.UrlRsp, error)
	// 多地址
	Urls(context.Context, *file.UrlsReq) (*file.UrlsRsp, error)
	// 删除
	Delete(context.Context, *file.DeleteReq) (*file.DeleteRsp, error)
	mustEmbedUnimplementedFileServer()
}

// UnimplementedFileServer must be embedded to have forward compatible implementations.
type UnimplementedFileServer struct {
}

func (UnimplementedFileServer) Initiate(context.Context, *file.InitiateReq) (*file.InitiateRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Initiate not implemented")
}
func (UnimplementedFileServer) Get(context.Context, *file.GetReq) (*file.GetRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (UnimplementedFileServer) Abort(context.Context, *file.AbortReq) (*file.AbortRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Abort not implemented")
}
func (UnimplementedFileServer) Complete(context.Context, *file.CompleteReq) (*file.CompleteRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Complete not implemented")
}
func (UnimplementedFileServer) Use(context.Context, *file.UseReq) (*file.UseRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Use not implemented")
}
func (UnimplementedFileServer) Release(context.Context, *file.ReleaseReq) (*file.ReleaseRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Release not implemented")
}
func (UnimplementedFileServer) Url(context.Context, *file.UrlReq) (*file.UrlRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Url not implemented")
}
func (UnimplementedFileServer) Urls(context.Context, *file.UrlsReq) (*file.UrlsRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Urls not implemented")
}
func (UnimplementedFileServer) Delete(context.Context, *file.DeleteReq) (*file.DeleteRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (UnimplementedFileServer) mustEmbedUnimplementedFileServer() {}

// UnsafeFileServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to FileServer will
// result in compilation errors.
type UnsafeFileServer interface {
	mustEmbedUnimplementedFileServer()
}

func RegisterFileServer(s grpc.ServiceRegistrar, srv FileServer) {
	s.RegisterService(&File_ServiceDesc, srv)
}

func _File_Initiate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.InitiateReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Initiate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Initiate_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Initiate(ctx, req.(*file.InitiateReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.GetReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Get_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Get(ctx, req.(*file.GetReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Abort_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.AbortReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Abort(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Abort_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Abort(ctx, req.(*file.AbortReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Complete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.CompleteReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Complete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Complete_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Complete(ctx, req.(*file.CompleteReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Use_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.UseReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Use(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Use_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Use(ctx, req.(*file.UseReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Release_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.ReleaseReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Release(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Release_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Release(ctx, req.(*file.ReleaseReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Url_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.UrlReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Url(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Url_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Url(ctx, req.(*file.UrlReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Urls_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.UrlsReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Urls(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Urls_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Urls(ctx, req.(*file.UrlsReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _File_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(file.DeleteReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FileServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: File_Delete_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FileServer).Delete(ctx, req.(*file.DeleteReq))
	}
	return interceptor(ctx, in, info, handler)
}

// File_ServiceDesc is the grpc.ServiceDesc for File service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var File_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "com.ruijc.storage.protocol.File",
	HandlerType: (*FileServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Initiate",
			Handler:    _File_Initiate_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _File_Get_Handler,
		},
		{
			MethodName: "Abort",
			Handler:    _File_Abort_Handler,
		},
		{
			MethodName: "Complete",
			Handler:    _File_Complete_Handler,
		},
		{
			MethodName: "Use",
			Handler:    _File_Use_Handler,
		},
		{
			MethodName: "Release",
			Handler:    _File_Release_Handler,
		},
		{
			MethodName: "Url",
			Handler:    _File_Url_Handler,
		},
		{
			MethodName: "Urls",
			Handler:    _File_Urls_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _File_Delete_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "com/ruijc/storage/protocol/file.proto",
}
